summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-01 15:37:26 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-05 08:22:44 +0700
commitb1447d0f445c05c6365f74017b218da2636a833a (patch)
tree054803954a75c21c1b8740b3c77c111a393b33c0
parent84f83b59b2c5b8b3a4bc87ccf9435247e36be859 (diff)
downloadslackbuilds-b1447d0f445c05c6365f74017b218da2636a833a.tar.gz
slackbuilds-b1447d0f445c05c6365f74017b218da2636a833a.tar.xz
development/tig: Updated for version 2.0.1; New maintainer.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--development/tig/README10
-rw-r--r--development/tig/doinst.sh4
-rw-r--r--development/tig/slack-desc14
-rw-r--r--development/tig/tig.SlackBuild56
-rw-r--r--development/tig/tig.info10
5 files changed, 45 insertions, 49 deletions
diff --git a/development/tig/README b/development/tig/README
index 939510014e..8212ad6705 100644
--- a/development/tig/README
+++ b/development/tig/README
@@ -1,6 +1,4 @@
-Tig is a git repository browser that additionally can act as a pager
-for output from various git commands.
-When browsing repositories, it uses the underlying git commands to
-present the user with various views, such as summarized revision log
-and showing the commit with the log message, diffstat, and the diff.
-Using it as a pager, it will display input from stdin and colorize it.
+Tig is an ncurses-based text-mode interface for git.
+It functions mainly as a Git repository browser, but can also assist
+in staging changes for commit at chunk level and act as a pager for
+output from various Git commands.
diff --git a/development/tig/doinst.sh b/development/tig/doinst.sh
index 3425313d40..16375e1c87 100644
--- a/development/tig/doinst.sh
+++ b/development/tig/doinst.sh
@@ -1,15 +1,11 @@
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
- # If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
- # toss the redundant copy
rm $NEW
fi
- # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/tigrc.new
-
diff --git a/development/tig/slack-desc b/development/tig/slack-desc
index bea38c4365..dcfb223ff4 100644
--- a/development/tig/slack-desc
+++ b/development/tig/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-tig: tig (ncurses interface for git)
+tig: tig (git interface)
tig:
-tig: tig is a git repository browser that additionally can act as a pager
-tig: for output from various git commands.
-tig: When browsing repositories, it uses the underlying git commands to
-tig: present the user with various views, such as summarized revision log
-tig: and showing the commit with the log message, diffstat, and the diff.
+tig: Tig is an ncurses-based text-mode interface for git.
+tig: It functions mainly as a Git repository browser, but can also assist
+tig: in staging changes for commit at chunk level and act as a pager for
+tig: output from various Git commands.
tig:
-tig: Homepage: http://jonas.nitro.dk/tig/
+tig:
+tig: Project URL: http://jonas.nitro.dk/tig/
tig:
tig:
diff --git a/development/tig/tig.SlackBuild b/development/tig/tig.SlackBuild
index ad07e92eb5..e95a3e906e 100644
--- a/development/tig/tig.SlackBuild
+++ b/development/tig/tig.SlackBuild
@@ -2,26 +2,28 @@
# Slackware build script for tig
-# Copyright 2008-2011 Grigorios Bouzakis <grbzks@xsmail.com>
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
-# Permission to use, copy, modify, and distribute this software for any purpose
-# with or without fee is hereby granted, provided that the above copyright
-# notice and this permission notice appear in all copies.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
-# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
-# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
-# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
-# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
-# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
-# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
-# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
-# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tig
-VERSION=${VERSION:-1.2.1}
+VERSION=${VERSION:-2.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -52,8 +54,6 @@ else
LIBDIRSUFFIX=""
fi
-DOCS="BUGS COPYING NEWS* README*"
-
set -e
rm -rf $PKG
@@ -64,10 +64,12 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i 's|$(docdir)/tig|$(docdir)|' Makefile
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -81,21 +83,21 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install install-doc-man DESTDIR=$PKG
+make install-doc install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/etc
-cat contrib/tigrc > $PKG/etc/tigrc.new
mkdir -p $PKG/etc/bash_completion.d
cat contrib/tig-completion.bash > $PKG/etc/bash_completion.d/tig
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mv $PKG/etc/tigrc $PKG/etc/tigrc.new
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/development/tig/tig.info b/development/tig/tig.info
index d1cca6d5ff..c38b88237d 100644
--- a/development/tig/tig.info
+++ b/development/tig/tig.info
@@ -1,10 +1,10 @@
PRGNAM="tig"
-VERSION="1.2.1"
+VERSION="2.0.1"
HOMEPAGE="http://jonas.nitro.dk/tig/"
-DOWNLOAD="http://jonas.nitro.dk/tig/releases/tig-1.2.1.tar.gz"
-MD5SUM="d5c1dd1d829f8e515f59c96a5d419323"
+DOWNLOAD="http://jonas.nitro.dk/tig/releases/tig-2.0.1.tar.gz"
+MD5SUM="e0b3bc47b8c2c1e556ae953c0b30faab"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Grigorios Bouzakis"
-EMAIL="grbzks@xsmail.com"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"